Summary: SDL portable network library
Name: SDL_net
Version: 1.2.4
Release: 8
Source0: http://www.libsdl.org/projects/SDL_net/release/%{name}-%{version}.tar.bz2
URL: http://www.libsdl.org/projects/SDL_net/
License: LGPL
Group: System Environment/Libraries
BuildRoot: /var/tmp/%{name}-buildroot
Requires: SDL >= 1.2.4-1
BuildRequires: SDL-devel >= 1.2.4-1
BuildRequires: automake autoconf libtool
Patch: SDL_net-ppc64.patch

%description
This is a portable network library for use with SDL.

%package devel
Summary: Libraries and includes to develop SDL networked applications.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This is a portable network library for use with SDL.

This is the libraries and include files you can use to develop SDL
networked applications.

%prep
%setup -q
%patch -p1

touch NEWS AUTHORS ChangeLog # Quiet automake

libtoolize --force
aclocal
automake --add-missing
autoconf

%build
%configure --prefix=%{_prefix}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README CHANGES COPYING
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%doc README CHANGES COPYING
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_includedir}/SDL/

%changelog
* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 17 2003 Elliot Lee <sopwith@redhat.com> 1.2.4-6
- ppc64 fix

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Sun Dec 01 2002 Elliot Lee <sopwith@redhat.com>
- Remove unpackaged files

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.2.4-1
- 1.2.4

* Fri Feb 28 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.2.3-2
- Rebuild in new environment

* Thu Jan 24 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.2.3-1
- 1.2.3
- remove obsolete dependencies
- Clean up spec file

* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.2.2-1
- Add build dependencies (#49829)
- Update to 1.2.2 (bugfix release) while at it
- s/Copyright/License/

* Tue Jul 10 2001 Elliot Lee <sopwith@redhat.com>
- Rebuild

* Sun Apr 15 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Initial Red Hat build
